/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

const eslintrc = `module.exports = {
  env: {
    commonjs: true,
    es6: true,
    node: true
  },
  extends: [
    '@sapphirecode'
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018
  }
}
`;

const eslintrc_ts = `module.exports = {
  env: {
    commonjs: true,
    es6: true,
    node: true
  },
  extends: [
    '@sapphirecode/eslint-config-ts'
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018
  }
}
`;

const gitignore = `/node_modules/
/dist/
/.nyc_output/
/coverage/
`;

const tsconfig = `{
  "compilerOptions": {
    "target": "es5",
    "module": "commonjs",
    "outDir": "./dist", 
    "rootDir": "./lib",
    "strict": true, 
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "declaration": true  
  }
}
`;

const eslintignore = `/dist/
*.d.ts
`;

export { eslintrc, gitignore, tsconfig, eslintrc_ts, eslintignore };
